Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ant
Class UndeployTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.BaseRedirectorHelperTask
                  org.apache.catalina.ant.AbstractCatalinaTask
                      org.apache.catalina.ant.AbstractCatalinaCommandTask
                          org.apache.catalina.ant.UndeployTask

All Implemented Interfaces:
  Cloneable

    public class UndeployTask

extends AbstractCatalinaCommandTask

Ant task that implements the `/undeploy` command, supported by the Tomcat manager application.

Since:
  4.1
Version:
  $Id: UndeployTask.java 1131267 2011-06-03 22:22:35Z markt $
Author:
  Craig R. McClanahan

Field Summary

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaCommandTask
`path, version`

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`charset, password, url, username`

Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask
`alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`UndeployTask()`

Method Summary
`void` | `execute()` Execute the requested operation.

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaCommandTask
`createQueryString, getPath, getVersion, setPath, setVersion`

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getCharset, getPassword, getUrl, getUsername, setCharset, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask
`addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndeployTask

    public UndeployTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.